Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Microscopic_Traffic_Simulator.Renderers.SimulationTrafficRenderer Class Reference

Simulation traffic renderer. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Renderers.SimulationTrafficRenderer:

## Protected Member Functions
override void | Render (Point currentMouseLocation)
  | Redraw the simulation traffic while distinguishing whether to use single or continous rendering Parameters
  currentMouseLocation | Current mouse location
More...
Protected Member Functions inherited from Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer
| VisualCanvasRenderer (DrawingVisual visual)
| Initialization of visual canvas renderer. More...
Point | TransformRealWorldPoint (Point point)
| Transforms real-world point to point on canvas. More...
Point | TransformCanvasPoint (Point point)
| Transform point on canvas to real-world point. More...

## Additional Inherited Members
Protected Attributes inherited from Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer
DrawingVisual | visual
| Drawing visual to render to. More...
Properties inherited from Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer
double | PixelsPerMeter`[get]`
| Number of meters per one pixel determining zoom level. More...

## Detailed Description

Simulation traffic renderer.

Definition at line 22 of file SimulationTrafficRenderer.cs.

## Member Function Documentation

override void Microscopic_Traffic_Simulator.Renderers.SimulationTrafficRenderer.Render | ( | Point | currentMouseLocation | ) |
| protected virtual

Redraw the simulation traffic while distinguishing whether to use single or continous rendering

Parameters

  currentMouseLocation | Current mouse location

Implements Microscopic_Traffic_Simulator.Renderers.VisualCanvasRenderer.

Definition at line 60 of file SimulationTrafficRenderer.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Renderers/SimulationTrafficRenderer.cs